jsonschema

JSON Schema data validator

$ luarocks install jsonschema

This library provides a jsonschema draft 4, draft 6, draft 7 validator for Lua/LuaJIT.
Given an JSON schema, it will generates a validator function that can be used
to validate any kind of data (not limited to JSON).

Base on https://github.com/jdesgats/jsonschema .

Versions

0.9.9-038 days ago353 downloads
0.9.8-0294 days ago70,607 downloads
0.9.7-0316 days ago4,079 downloads
0.9.6-0330 days ago4,075 downloads
0.9.5-01 year ago74,915 downloads
0.9.4-01 year ago2,963 downloads
0.9.3-01 year ago75,854 downloads
0.9.2-02 years ago8,483 downloads
0.9.1-02 years ago5 downloads
0.9-02 years ago454 downloads
0.8-02 years ago49,270 downloads
0.7-02 years ago534 downloads
0.6-02 years ago969 downloads
0.5-02 years ago2,046 downloads
0.4-03 years ago1,712 downloads
0.3-03 years ago231 downloads

Dependencies

Lrexlib-PCRE = 2.9.1-1

Dependency for

amber-apigw, APIOAK, Apache APISIX, edge, kong-simple-request-validator, magic-apigw

Manifests